#!/bin/sh

 if [ -z "$JAVA_VERSION" ] ; then
             JAVA_VERSION="CurrentJDK"
           else
             echo "Using Java version: $JAVA_VERSION"
           fi
           if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
             DARWIN_TOOLS=$JAVA_HOME/Classes/Classes.jar
           fi
           


# resolve links - $0 may be a softlink
REP="$0"

while [ -h "$REP" ]; do
  ls=`ls -ld "$REP"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    REP="$link"
  else
    REP=`dirname "$REP"`/"$link"
  fi
done

# Get standard environment variables
REPDIR=`dirname "$REP"`

# Only set CARBON_HOME if not already set
[ -z "$PETALSMASTER_HOME" ] && PETALSMASTER_HOME=`cd "$REPDIR/.." ; pwd`


TOMCAT_HOME=$PETALSMASTER_HOME/serverTomcat
PATH=$JAVA_HOME/bin:$PATH
export TOMCAT_HOME
export PATH


#Lancement du serveur tomcat
cd $TOMCAT_HOME/bin
./startup.sh

echo "Petals Master starting ..."
